{% load staticfiles %}

<!DOCTYPE html>
<html>
<head>
	<title> Lab 6 By Muhammad Arief Darmawan</title>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" type="text/css" href="{% static 'style.css' %}">
</head>


<body>

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>

	

	<header>
		{% include "partial/header.html" %}
	</header>

	
	<div class="container">
	<hr/>
	<section name="Hello">
		<h2 class="text-center" id = "halo" class="text-center" style="font-family: 'Montserrat', sans-serif,
		font-size: 40px,
		font-weight: 700">Hello, Apa kabar?</h2>
	</section>
	<hr/>

	<h6 id = "change" style="font-family: 'Montserrat', sans-serif,
		font-size: 40px,
		font-weight: 700">Change Theme
	</h6>

	<button class="accordion text-center">Default</button>
	<div class="panel">
		<p>Tampilan biasa dari sebuah website</p>
		<button id="btn1" class="btn btn-light apply">Apply</button>
	</div>

	<button class="accordion text-center">Dark</button>
	<div class="panel">
		<p>Tampilan web yang gelap</p>
		<button id="btn2" class="btn btn-light apply">Apply</button>	
	</div>

	

	<section name = "form">

		<form  id="form" method="POST" action="{% url 'add_status' %}">
			{% csrf_token %}
			{{ form }}
			<br>
			<button id="submit" type="submit" class="btn btn-default apply">Submit</button>
		</form>

	</section>

	<section name = "hasil_form">
		<div class="container mt-3">
		  <h2>Statusku</h2>
		 {% for status in Status %}
		  <div class="card">
		    <div class="card-body">
		      <h4 class="card-title">{{ status.status }}</h4>
		      <p id="status">{{ status.published_date}}</p>
		    </div>
		  </div>
		  {% endfor %}

		  <form method="post" action="{% url 'delete_status' %}">
			    {% csrf_token %}
			    <br>
			    <br>
			    <input class="btn btn-danger apply" type="submit" value="Delete All">
			</form>
		</div>
	</section>

	</div>
	
	<script>
		$(document).ready(function(){
		    $("#btn1").click(function(){
		    	$("body").css({"background-color" : "white",
		    					"color" : "black"})
		    	$(".accordion").css({"background-color": "#343a40", "color" : "white",
		    							"border": "1px solid white", "border-radius": "0px"});
		        $(".panel").css({"background-color": "white", "color" : "black", "text-align" : "left"});
		        $(".apply").css({"border-radius": "0px"})
		        $("#id_status").css({"border-radius": "0px"})
		        $(".card-title").css({"color": "black"})
		        $("#status").css({"color": "black"})
		        $(".card-body").css({"background-color": "white", "border-radius":"0px"})
		        $(".card").css({"background-color": "white", "border-radius":"0px"})
		    });
		    $("#btn2").click(function(){
		    	$("body").css({"background-color" : "#95a5a6",
		    					"color" : "white"})
		        $(".panel").css({"background-color": "#34495e", "color" : "white", "border-radius": "50px",
		                          "text-align" : "center"});
		        $(".apply").css({"border-radius": "50px"})
		        $(".accordion").css({"background-color": "#2c3e50", "outline": "none", "color" : "white",
		    							"border": "0px", "border-radius": "50px"});
		        $("#id_status").css({"border-radius": "50px"})
		        $(".card-title").css({"color": "white"})
		        $("#status").css({"color": "white"})
		        $(".card-body").css({"background-color": "#7f8c8d", "border-radius":"50px"})
		        $(".card").css({"background-color": "#7f8c8d", "border-radius":"50px"})
		    });

		    $(".accordion").click(function(){
		        var acc = document.getElementsByClassName("accordion");
		        var i;

		        for (i = 0; i < acc.length; i++) {
		          acc[i].addEventListener("click", function() {
		            this.classList.toggle("active");
		            var panel = this.nextElementSibling;
		            if (panel.style.maxHeight){
		              panel.style.maxHeight = null;
		            } else {
		              panel.style.maxHeight = panel.scrollHeight + "px";
		            } 
		          });
		        }
		    });
		});
	</script>
	
</body>
</html>